## com.lowagie.text.rtf.field
Class RtfTotalPageNumber

    java.lang.Object
      com.lowagie.text.Chunk
          com.lowagie.text.rtf.field.RtfField
              com.lowagie.text.rtf.field.RtfTotalPageNumber

All Implemented Interfaces:
  Element, RtfBasicElement

    public class RtfTotalPageNumber

extends RtfField

The RtfTotalPageNumber provides the total number of pages field in rtf documents.

Version:
  $Id: RtfTotalPageNumber.java 2776 2007-05-23 20:01:40Z hallm $
Author:
  Jose Hurtado (jose.hurtado@gft.com), Mark Hall (mhall@edu.uni-klu.ac.at), Thomas Bickel (tmb99@inode.at)

Field Summary
`private static byte[]` `ARABIC_TOTAL_PAGES` Constant for arabic total page numbers.

Fields inherited from class com.lowagie.text.rtf.field.RtfField
`document`

Fields inherited from class com.lowagie.text.Chunk
`ACTION, attributes, BACKGROUND, COLOR, content, ENCODING, GENERICTAG, HSCALE, HYPHENATION, IMAGE, LOCALDESTINATION, LOCALGOTO, NEWLINE, NEWPAGE, NEXTPAGE, OBJECT_REPLACEMENT_CHARACTER, PDFANNOTATION, REMOTEGOTO, SKEW, SPLITCHARACTER, SUBSUPSCRIPT, TEXTRENDERMODE, UNDERLINE`

Fields inherited from interface com.lowagie.text.rtf.RtfBasicElement
`CLOSE_GROUP, COMMA_DELIMITER, DELIMITER, OPEN_GROUP, TWIPS_FACTOR`

Fields inherited from interface com.lowagie.text.Element

`ALIGN_BASELINE, ALIGN_BOTTOM, ALIGN_CENTER, ALIGN_JUSTIFIED, ALIGN_JUSTIFIED_ALL, ALIGN_LEFT, ALIGN_MIDDLE, ALIGN_RIGHT, ALIGN_TOP, ALIGN_UNDEFINED, ANCHOR, ANNOTATION, AUTHOR, CCITT_BLACKIS1, CCITT_ENCODEDBYTEALIGN, CCITT_ENDOFBLOCK, CCITT_ENDOFLINE, CCITTG3_1D, CCITTG3_2D, CCITTG4, CELL, CHAPTER, CHUNK, CREATIONDATE, CREATOR, HEADER, IMGRAW, IMGTEMPLATE, JPEG, JPEG2000, KEYWORDS, LIST, LISTITEM, MARKED, MULTI_COLUMN_TEXT, PARAGRAPH, PHRASE, PRODUCER, PTABLE, RECTANGLE, ROW, SECTION, SUBJECT, TABLE, TITLE`

Constructor Summary
`RtfTotalPageNumber()` Constructs a RtfTotalPageNumber.
`RtfTotalPageNumber(Font font)` Constructs a RtfTotalPageNumber with a specified Font.
`RtfTotalPageNumber(RtfDocument doc)` Constructs a RtfTotalPageNumber object.
`RtfTotalPageNumber(RtfDocument doc, Font font)` Constructs a RtfTotalPageNumber object with a specific font.

Method Summary
`protected byte[]` `writeFieldInstContent()` Deprecated.
`protected void` `writeFieldInstContent(java.io.OutputStream out)` Writes the field NUMPAGES instruction with Arabic format: "NUMPAGES \\\\* Arabic".
`protected byte[]` `writeFieldResultContent()` Deprecated.
`protected void` `writeFieldResultContent(java.io.OutputStream out)` Writes the field result content "1"

Methods inherited from class com.lowagie.text.rtf.field.RtfField
`isEmpty, isFieldAlt, isFieldDirty, isFieldEdit, isFieldLocked, isFieldPrivate, setFieldAlt, setFieldDirty, setFieldEdit, setFieldLocked, setFieldPrivate, setFont, setInHeader, setInTable, setRtfDocument, write, writeContent`

Methods inherited from class com.lowagie.text.Chunk

`addToArray, append, content, font, getAttributes, getChunks, getContent, getFont, getHorizontalScaling, getImage, getKeySet, getTextRise, getWidthPoint, hasAttributes, process, setAction, setAnchor, setAnchor, setAnnotation, setAttributes, setBackground, setBackground, setGenericTag, setHorizontalScaling, setHyphenation, setLocalDestination, setLocalGoto, setNewPage, setRemoteGoto, setRemoteGoto, setSkew, setSplitCharacter, setTextRenderMode, setTextRise, setUnderline, setUnderline, toString, type`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ARABIC_TOTAL_PAGES

    private static final byte[] ARABIC_TOTAL_PAGES

  Constant for arabic total page numbers.

Constructor Detail

### RtfTotalPageNumber

    public RtfTotalPageNumber()

  Constructs a RtfTotalPageNumber. This can be added anywhere to add a total number of pages field.

### RtfTotalPageNumber

    public RtfTotalPageNumber(Font font)

  Constructs a RtfTotalPageNumber with a specified Font. This can be added anywhere to add a total number of pages field.

  Parameters:
    `font` -

### RtfTotalPageNumber

    public RtfTotalPageNumber(RtfDocument doc)

  Constructs a RtfTotalPageNumber object.

  Parameters:
    `doc` - The RtfDocument this RtfTotalPageNumber belongs to

### RtfTotalPageNumber

    public RtfTotalPageNumber(RtfDocument doc,
                              Font font)

  Constructs a RtfTotalPageNumber object with a specific font.

  Parameters:
    `doc` - The RtfDocument this RtfTotalPageNumber belongs to
    `font` - The Font to use

Method Detail

### writeFieldInstContent

    protected byte[] writeFieldInstContent()
                                    throws java.io.IOException

  Deprecated.

  Writes the field NUMPAGES instruction with Arabic format

  Specified by:
    `writeFieldInstContent` in class `RtfField`
  Returns:
    A byte array containing "NUMPAGES \\\\* Arabic".
  Throws:
    `java.io.IOException`

### writeFieldInstContent

    protected void writeFieldInstContent(java.io.OutputStream out)
                                  throws java.io.IOException

  Writes the field NUMPAGES instruction with Arabic format: "NUMPAGES \\\\* Arabic".

  Overrides:
    `writeFieldInstContent` in class `RtfField`
  Throws:
    `java.io.IOException`

### writeFieldResultContent

    protected byte[] writeFieldResultContent()
                                      throws java.io.IOException

  Deprecated.

  Writes the field result content

  Specified by:
    `writeFieldResultContent` in class `RtfField`
  Returns:
    An byte array containing "1".
  Throws:
    `java.io.IOException`

### writeFieldResultContent

    protected void writeFieldResultContent(java.io.OutputStream out)
                                    throws java.io.IOException

  Writes the field result content "1"

  Overrides:
    `writeFieldResultContent` in class `RtfField`
  Throws:
    `java.io.IOException`